## db1-compat 2.1.3

=== debian/changelog ===
db1-compat (2.1.3-27) unstable; urgency=medium

  * Install files directly into /usr instead of using dh_movetousr (closes:
    #1122798).

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 12:03:46 +0000

db1-compat (2.1.3-26) unstable; urgency=medium

  * Apply X-Style: black.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Nov 2025 11:07:32 +0000

db1-compat (2.1.3-25) unstable; urgency=medium

  * Add missing #include to db_dump185 (closes: #1066389).

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Mar 2024 12:26:57 +0000

db1-compat (2.1.3-24) unstable; urgency=medium

  * Set Rules-Requires-Root: no.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Dec 2023 15:54:03 +0000

db1-compat (2.1.3-23) experimental; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Build-depend on dh-sequence-movetousr.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Nov 2023 15:07:38 +0000

db1-compat (2.1.3-22) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + libdb1-compat: Drop versioned constraint on libc* in Replaces.

  [ Colin Watson ]
  * Remove obsolete Replaces: libdb2-util.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Nov 2022 23:14:51 +0000

db1-compat (2.1.3-21) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:32:20 +0000

db1-compat (2.1.3-20) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 15:38:41 +0000

db1-compat (2.1.3-19) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jan 2016 10:57:32 +0000

db1-compat (2.1.3-18) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.

 -- Colin Watson <cjwatson@debian.org>  Sat, 08 Nov 2014 14:30:15 +0000

db1-compat (2.1.3-17) unstable; urgency=medium

  * Switch to git; add Vcs-* fields.
  * Copy 4.4 BSD licence inline in debian/copyright rather than referring to
    /usr/share/common-licenses/BSD, per Lintian.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Jan 2014 02:21:46 +0000

db1-compat (2.1.3-16) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.
  * Remove article from start of package synopsis.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 12:33:49 +0100

db1-compat (2.1.3-15) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Sep 2011 11:04:09 +0100

db1-compat (2.1.3-14) unstable; urgency=low

  * Link with -lc rather than /usr/lib/libc.so, fixing build failure on
    multiarch systems (LP: #749094).

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Apr 2011 16:08:28 +0100

db1-compat (2.1.3-13) unstable; urgency=low

  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Mar 2010 00:22:36 +0000

db1-compat (2.1.3-12) unstable; urgency=low

  * Link with -z combreloc, not -z -combreloc (closes: #557075).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Nov 2009 20:31:16 +0000

db1-compat (2.1.3-11) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Improve db_dump185(1) *roff markup to look better and avoid triggering a
    Lintian warning.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Aug 2009 22:50:15 +0100

db1-compat (2.1.3-10) unstable; urgency=low

  [ Colin Watson ]
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.

  [ Julian Gilbey ]
  * Add db_dump185 to this package from the source of db4.3 version 4.3.29
    and replace libdb2-util (Closes: #169830)

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Jul 2009 13:22:17 +0100

db1-compat (2.1.3-9) unstable; urgency=low

  * Make binary-arch target depend on build (thanks, Julian Gilbey;
    closes: #352867).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Feb 2006 20:17:00 +0000

db1-compat (2.1.3-8) unstable; urgency=low

  * Drop priority to extra, now that libc no longer depends on
    libdb1-compat.
  * Policy version 3.6.2:
    - Support DEB_BUILD_OPTIONS=noopt.

 -- Colin Watson <cjwatson@debian.org>  Mon,  8 Aug 2005 03:58:33 +0100

db1-compat (2.1.3-7) unstable; urgency=low

  * glibc's db1 used the soname "libdb.so.2.1" on alpha (thanks, Ben
    Mansell). Change our alpha soname to be in sync with this. (I haven't
    changed the package name, as nothing can legitimately build against
    db1-compat and the old soname was just a bug.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Oct 2002 22:46:11 +0100

db1-compat (2.1.3-6) unstable; urgency=low

  * -D_LIBC apparently doesn't work with glibc 2.3 (thanks, Jack Howarth).
    Remove it and comment out the #ifdefs from the code instead, so that we
    always get the extra symbols (closes: #163264).

 -- Colin Watson <cjwatson@debian.org>  Fri,  4 Oct 2002 04:25:21 +0100

db1-compat (2.1.3-5) unstable; urgency=low

  * Translate __PMT() to __P() on non-glibc architectures that don't have
    the former. This is just a temporary fix, as those architectures
    shouldn't need to keep db1-compat around for the long term.

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Sep 2002 00:48:06 +0100

db1-compat (2.1.3-4) unstable; urgency=low

  * Instead of having to hard-code architecture details in order to use
    substvars, just use one big Replaces: line.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Aug 2002 18:34:15 +0100

db1-compat (2.1.3-3) unstable; urgency=low


