=== debian/control ===
Source: db1-compat
Section: oldlibs
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.6.2
Build-Depends:
 debhelper-compat (= 13),
Vcs-Git: https://salsa.debian.org/debian/db1-compat.git
Vcs-Browser: https://salsa.debian.org/debian/db1-compat
X-Style: black

Package: libdb1-compat
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Berkeley database routines [glibc 2.0/2.1 compatibility]
 libdb is a library for manipulating database files, developed at Berkeley.
 .
 It supports three kinds of file formats:
  * btree. A representation of a sorted, balanced tree structure.
  * hashed. An extensible, dynamic hashing scheme.
  * UNIX file oriented. A byte stream file with fixed or variable length
    records.
 .
 This library exists for compatibility with applications built against
 glibc 2.0 or 2.1. There is intentionally no corresponding development
 package. Do not link new applications against this library!
