=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

package := libdb1-compat

dtmp := $(CURDIR)/debian/$(package)

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),alpha)
soversion=.2.1
else
soversion=.2
endif


ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

libdb1.so$(soversion): build

override_dh_auto_build:
	$(MAKE) libdb.so-version=$(soversion)

override_dh_auto_clean:
	$(MAKE) clean libdb.so-version=$(soversion)

override_dh_auto_install:
	# match glibc
	install -m644 libdb1.so$(soversion) $(dtmp)/usr/lib/libdb1-2.2.5.so
	ln -s libdb1-2.2.5.so $(dtmp)/usr/lib/libdb1.so$(soversion)
	ln -s libdb1-2.2.5.so $(dtmp)/usr/lib/libdb.so$(soversion)
